Debian Bug report logs - #362166
ITA: libtifiles0 -- Texas Instruments calculators file formats library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Wed, 12 Apr 2006 15:48:37 UTC

Owned by: Krzysztof Burghardt <krzysztof@burghardt.pl>

Severity: normal

Fixed in version libtifiles0/0.6.6-3

Done: Krzysztof Burghardt <krzysztof@burghardt.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362166; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libtifiles0 -- Texas Instruments calculators file formats library
Date: Wed, 12 Apr 2006 17:29:20 +0200
Package: wnpp
Severity: normal

Hi,

I intend to orphan the libtifiles0 package.

The package description is:
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the shared library.

You will probably be interested in the related, also orphaned, packages:
 tilp, tiemu, skinedit, tidev-modules-source, libticables3, libticalcs4

JB.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information stored:
Bug#362166; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 362166-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain LIEVIN <roms@tilp.info>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet@bugs.debian.org
Subject: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Tue, 27 Nov 2007 10:46:50 +0930
[Message part 1 (text/plain, inline)]
Hi,

The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
libtifiles and skinedit were orphaned by the previous maintainer, Julian
Blanche. Some of them now fail to build from source because the modules
packages were removed because they are apparently part of Linux now:

http://bugs.debian.org/362162

Are you interested in adopting these packages, or do you know any Debian
users who would be interested in keeping them in Debian and helping
maintain them? Ideally someone who has access to the hardware would be
good.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362166; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 362166-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>, Julien Blache <jb@jblache.org>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Wed, 28 Nov 2007 10:08:23 +0930
[Message part 1 (text/plain, inline)]
[keeping the bugs informed]

On Tue, 2007-11-27 at 21:12 +0100, Romain Liévin wrote:

> > The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
> > libtifiles and skinedit were orphaned by the previous maintainer, Julien
> > Blache. Some of them now fail to build from source because the modules
> > packages were removed because they are apparently part of Linux now:
> >
> > http://bugs.debian.org/362162
> 
> This is not fully exact: two of them (tipar/tiusb) are a part of the 
> Linux kernel tree but one of them (tiusb) has been removed from kernel. 
> Anyways, these modules are not needed any longer. TiLP2 provides a full 
> user-land support and relies on udev.

Ah, good to hear they aren't needed.

> > Are you interested in adopting these packages, or do you know any Debian
> > users who would be interested in keeping them in Debian and helping
> > maintain them? Ideally someone who has access to the hardware would be
> > good.
> 
> I may be interested in because 1) I did not find any users to manage 
> this 2) I have been managing my own Debian packages for 6 months 
> starting at JB's packages 3) I'm using Debian everywhere 4) I have 
> access to hardware (I'm the developer).
> 
> Nevertheless, I'm waiting for Julien Blache's phone calling before 
> giving you a final decision; Maybe you don't know: we are two guys 
> working on the three most importants projects (tilp/tiemu/tigcc) so 
> development is using a lot of my time.

Perhaps Julien would have time to sponsor your packages?

If not, here is the procedure to get the packages updated:

First read this:

http://people.debian.org/~mpalmer/debian-mentors_FAQ.html

Then get the packages uploaded to:

http://mentors.debian.net

Then ask for a sponsor on this list:

http://lists.debian.org/debian-mentors/

Once the sponsor is happy with your contributions, they can propose that
you become a DM (Debian Maintainer). DMs are people who can upload
specific packages to the archive:

http://www.debian.org/vote/2007/vote_003

Once you becomes a DM, you will be able to upload packages that you
maintain that a sponsor has previously tagged with a
"DM-Upload-Allowed: yes" field and signed and uploaded to Debian.
The DM process is a fairly new one, so we're still shaking out the bugs.

The other way to get direct upload rights (for any package) is to go
through NM. Currently this is a fairly long and arduous process that
requires some effort:

http://www.debian.org/devel/join/newmaint

> > I also note that src/win32/porttalk_ioctl.h is extremely non-free, and
> > shouldn't be distributed with libticables:
>    
> We fixed these issues few months ago by using MPlayer's driver (GPL'ed) 
> and we fixed TiEmu, too (it contained some unknown/non-free licensed code).

Ah, good to hear.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362166; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 362166-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Sat, 01 Dec 2007 07:00:57 +0930
[Message part 1 (text/plain, inline)]
On Fri, 2007-11-30 at 21:15 +0100, Romain Liévin wrote:

> Following JB's phone calling, I will maintain these packages.
>
> > Perhaps Julien would have time to sponsor your packages?
>  
> Yes, he agrees.

Excellent, keeping the bugs informed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Owner recorded as "Krzysztof Burghardt" <krzysztof@burghardt.pl>. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:11 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libtifiles0 -- Texas Instruments calculators file' from `O: libtifiles0 -- Texas Instruments calculators file formats library'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:12 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libtifiles0 -- Texas Instruments calculators \' from `ITA: libtifiles0 -- Texas Instruments calculators file'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:09:04 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libtifiles0 -- Texas Instruments calculators file formats library' from `ITA: libtifiles0 -- Texas Instruments calculators \'. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:33:04 GMT) Full text and rfc822 format available.

Owner changed from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 19:00:05 GMT) Full text and rfc822 format available.

Owner changed from Krzysztof Burghardt <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Tue, 14 Oct 2008 07:03:02 GMT) Full text and rfc822 format available.

Owner changed from Krzysztof Burghardt <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Tue, 14 Oct 2008 07:03:05 GMT) Full text and rfc822 format available.

Reply sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
You have taken responsibility. (Mon, 20 Oct 2008 14:24:09 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Mon, 20 Oct 2008 14:24:10 GMT) Full text and rfc822 format available.

Message #39 received at 362166-close@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: 362166-close@bugs.debian.org
Subject: Bug#362166: fixed in libtifiles0 0.6.6-3
Date: Mon, 20 Oct 2008 14:17:07 +0000
Source: libtifiles0
Source-Version: 0.6.6-3

We believe that the bug you reported is fixed in the latest version of
libtifiles0, which is due to be installed in the Debian FTP archive:

libtifiles0-dev_0.6.6-3_amd64.deb
  to pool/main/libt/libtifiles0/libtifiles0-dev_0.6.6-3_amd64.deb
libtifiles0_0.6.6-3.diff.gz
  to pool/main/libt/libtifiles0/libtifiles0_0.6.6-3.diff.gz
libtifiles0_0.6.6-3.dsc
  to pool/main/libt/libtifiles0/libtifiles0_0.6.6-3.dsc
libtifiles0_0.6.6-3_amd64.deb
  to pool/main/libt/libtifiles0/libtifiles0_0.6.6-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362166@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Krzysztof Burghardt <krzysztof@burghardt.pl> (supplier of updated libtifiles0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Oct 2008 23:57:24 +0200
Source: libtifiles0
Binary: libtifiles0-dev libtifiles0
Architecture: source amd64
Version: 0.6.6-3
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Krzysztof Burghardt <krzysztof@burghardt.pl>
Description: 
 libtifiles0 - Texas Instruments calculators file formats library
 libtifiles0-dev - Texas Instruments calculators file formats library [development f
Closes: 362166
Changes: 
 libtifiles0 (0.6.6-3) unstable; urgency=low
 .
   * New maintainer (closes: #362166)
   * Fixed all lintian warrnings
   * Bumped Standards-Version to 3.8.0 (no change needed)
Checksums-Sha1: 
 a508521a89faedad47a552fce624e392a8589001 1066 libtifiles0_0.6.6-3.dsc
 6c545578e5dc019e37b10d47743663d65dd6167d 4190 libtifiles0_0.6.6-3.diff.gz
 0577faf423d4075abfe258e8d4585b05cd283d41 88240 libtifiles0-dev_0.6.6-3_amd64.deb
 b10994cf7d18487f36b23a9768b4af3bdeedba71 48478 libtifiles0_0.6.6-3_amd64.deb
Checksums-Sha256: 
 70cdae588bfa497a4d78526cb401a57c61624875379a2c62daf91ef69e97e2f2 1066 libtifiles0_0.6.6-3.dsc
 0374bf844a291c860bf3de00d921bd07c4209a8c71160d739e1c848a1cef0c55 4190 libtifiles0_0.6.6-3.diff.gz
 63a44c84bc058e5490d6cc994614a01092fad8cb3f48f5865077bb2a8abd8935 88240 libtifiles0-dev_0.6.6-3_amd64.deb
 56f64ecfc353276f3cbe68d4b56a6eb1540df7eeea7921788ed2eb4f40801d0e 48478 libtifiles0_0.6.6-3_amd64.deb
Files: 
 9277eda1996b2cc11a11be2d219d8747 1066 libs optional libtifiles0_0.6.6-3.dsc
 e3446d61317a32f5964b0b1c8585e6c2 4190 libs optional libtifiles0_0.6.6-3.diff.gz
 abb73b8d3efb00bb39a91a51ff905d58 88240 libdevel optional libtifiles0-dev_0.6.6-3_amd64.deb
 cdb3f5f7ff098c6ddcf92d1af7f620d6 48478 libs optional libtifiles0_0.6.6-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI/I0CzWFP1/XWUWkRAu1ZAKCIGM4a55s+u1rLuHMupu4IfADaLgCgu7z0
dJ4c2o4NKDQKq+C9kEc9ves=
=IqrO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Nov 2008 07:30:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:19:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.